<?php
namespace Claromentis\Documents\Event;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"] ?: array()) + array("_d0845bff5cd0ddb" . "5ed1d7bd9db996f5" . "1" => base64_decode("c291cmN" . "l"), "_6e38cb9e043a07cd69a171" . "1a6704c62a" => base64_decode("cGFyZ" . "W50X2" . "lk"));
use Claromentis\Core\Event\GenericEvent;


class AddFolderEvent extends GenericEvent
{
    
    
    
    
    private $error_message = '';
    public function GetSource()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_d0845bff5cd0ddb5" . "ed1d7bd9db996f51"]);
    }
    public function GetParentId()
    {
        return $this->getArgument($GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_6e38cb9e043a07cd69a1711a6704" . "c62a"]);
    }
    public function GetErrorMessage()
    {
        return $this->error_message;
    }
    public function SetErrorMessage($error_message)
    {
        $this->error_message = $error_message;
    }
}